Skip to main content
GET
https://punchplay.tv
/
api
/
platform
/
v1
/
playback
/
in-progress
Get all active in-progress items
curl --request GET \
  --url https://punchplay.tv/api/platform/v1/playback/in-progress \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 123,
    "type": "<string>",
    "tmdbId": 123,
    "title": "<string>",
    "year": 123,
    "progressSeconds": 123,
    "progressPercent": 123,
    "updatedAt": "2023-11-07T05:31:56Z",
    "mediaSource": "<string>",
    "nowPlaying": true,
    "posterPath": "<string>",
    "backdropPath": "<string>",
    "showTmdbId": 123,
    "showTitle": "<string>",
    "season": 123,
    "episode": 123,
    "episodeTitle": "<string>",
    "stillPath": "<string>",
    "durationSeconds": 123
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Active in-progress items.

id
integer
required
type
string
required
tmdbId
integer
required
title
string
required
year
integer
required
progressSeconds
integer
required
progressPercent
number
required
updatedAt
string<date-time>
required
mediaSource
string
required
nowPlaying
boolean
required
playbackState
enum<string>
required
Available options:
watching,
paused,
stopped
posterPath
string | null
backdropPath
string | null
showTmdbId
integer | null
showTitle
string | null
season
integer | null
episode
integer | null
episodeTitle
string | null
stillPath
string | null
durationSeconds
integer | null